Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class SeriesDefY

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.SeriesDef
              com.gwtext.client.widgets.chart.yui.SeriesDefY

    public class SeriesDefY

extends SeriesDef

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`SeriesDefY()`
`SeriesDefY(java.lang.String displayName, java.lang.String yField)`
`SeriesDefY(java.lang.String displayName, java.lang.String yField, GenericConfig style)`

Method Summary
`java.lang.String` | `getDisplayName()` Return the displayName.
`java.lang.String` | `getYField()` Return the yField.
`void` | `setDisplayName(java.lang.String displayName)` Set the displayName.
`void` | `setStyle(GenericConfig style)` Set the style.
`void` | `setType(ChartType type)`
`void` | `setYField(java.lang.String yField)` Set the yField.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeriesDefY

    public SeriesDefY()

### SeriesDefY

    public SeriesDefY(java.lang.String displayName,
                      java.lang.String yField)

### SeriesDefY

    public SeriesDefY(java.lang.String displayName,
                      java.lang.String yField,
                      GenericConfig style)

Method Detail

### setYField

    public void setYField(java.lang.String yField)

  Set the yField.

  Parameters:
    `yField` - the yField

### getYField

    public java.lang.String getYField()

  Return the yField.

  Returns:
    the yField

### setType

    public void setType(ChartType type)

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Set the displayName.

  Parameters:
    `displayName` - the displayName

### getDisplayName

    public java.lang.String getDisplayName()

  Return the displayName.

  Returns:
    the displayName

### setStyle

    public void setStyle(GenericConfig style)

  Set the style.

  Parameters:
    `style` - the style

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD